Subject: Re: bug#6717: tramp-dissect-file-name: Not a Tramp file name

From: Michael Albinus <[email-masked]>
Date: Mon, 26 Jul 2010 06:08:59 +0200

Andreas Schwab <[email-masked]> writes:

>>> IMHO this is the wrong place to fix that.  Instead file-name-directory
>>> should not be called on the local part in the first place, or at least
>>> *all* file name handlers should be suppressed around the call.
>>
>> I thought about that. But I'm not sure, whether we shall disable
>> jka-compr, for example. What happens, if the URL is something like
>> http://host.cc/path/file.gz ?
>
> Nothing special.  Why should it?  It's not a file name, it is a URL.

Maybe. But at least `url-file-handler' must be kept, it treats the URL
as a file name.

Another approach would be to encode ":" in the filename part of a URL,
but I don't know where to do it sufficiently.

> Andreas.

Best regards, Michael.